VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "VBform"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Private WithEvents mDlg As panDemo
Attribute mDlg.VB_VarHelpID = -1
Public Event OnbtnRed()
Public Event OnbtnGreen()
Public Event OnbtnBlue()
Public Event OnbtnPan()
Public Event OnClose()
Public Event OnbtnOK()

Private Sub Class_Initialize()
    Set mDlg = New panDemo
    mDlg.comboComp.ListIndex = 1
    mDlg.listBlend.ListIndex = 0
End Sub
Private Sub Class_Terminate()
    On Error Resume Next
    mDlg.Hide
    Unload mDlg
End Sub
Public Sub RedSelected()
    ' Enables contrast option for red and button for green
    mDlg.checkRed.Enabled = True
    mDlg.btnGreen.Enabled = True
End Sub
Public Sub GreenSelected()
    ' Enables contrast option for green and button for blue
    mDlg.checkGreen.Enabled = True
    mDlg.btnBlue.Enabled = True
End Sub
Public Sub BlueSelected()
    ' Enables contrast option for blue  and button for pan
    mDlg.checkBlue.Enabled = True
    mDlg.btnPan.Enabled = True
End Sub
Public Sub PanSelected()
    ' Enables contrast option for pan and button for OK
    mDlg.checkPan.Enabled = True
    mDlg.btnOK.Enabled = True
End Sub
Public Sub ShowDialog()
   mDlg.Caption = "Make Pan-Sharpened Composite"
   mDlg.Show vbModal
End Sub
Public Sub HideDialog()
    mDlg.Hide
End Sub
Public Property Let RedName(ByVal str As String)
    mDlg.txtRed.Text = str
End Property
Public Property Let BlueName(ByVal str As String)
    mDlg.txtBlue.Text = str
End Property
Public Property Let GreenName(ByVal str As String)
    mDlg.txtGreen.Text = str
End Property
Public Property Let PanName(ByVal str As String)
    mDlg.txtPan.Text = str
End Property

Public Property Get depth() As Integer
    depth = mDlg.comboComp.ListIndex
End Property

Public Property Get conred() As Integer
    conred = mDlg.checkRed.Value
End Property
Public Property Get conblue() As Integer
    conblue = mDlg.checkBlue.Value
End Property
Public Property Get congreen() As Integer
    congreen = mDlg.checkGreen.Value
End Property
Public Property Get conpan() As Integer
    conpan = mDlg.checkPan.Value
End Property

Public Property Get method() As String
    Select Case mDlg.listBlend.ListIndex
    Case 0
        method = "HIS"
    Case 1
        method = "HBS"
    Case 2
        method = "Brovey"
    End Select
End Property

Public Sub CloseForm()
    mDlg.Hide
    Unload mDlg
End Sub

Private Sub mDlg_OnbtnBlue()
    RaiseEvent OnbtnBlue
End Sub
Private Sub mDlg_OnbtnRed()
    RaiseEvent OnbtnRed
End Sub
Private Sub mDlg_OnbtnGreen()
    RaiseEvent OnbtnGreen
End Sub
Private Sub mDlg_OnbtnPan()
    RaiseEvent OnbtnPan
End Sub
Private Sub mDlg_OnbtnOK()
    RaiseEvent OnbtnOK
End Sub
Private Sub mDlg_OnCancel()
    Class_Terminate
End Sub
